% \usepackage[usenames,dvipsnames]{pstricks}
% \usepackage{epsfig}
% \usepackage{pst-grad} % For gradients
% \usepackage{pst-plot} % For axes
% \usepackage[space]{grffile} % For spaces in paths
% \usepackage{etoolbox} % For spaces in paths
% \makeatletter % For spaces in paths
% \patchcmd\Gread@eps{\@inputcheck#1 }{\@inputcheck"#1"\relax}{}{}
% \makeatother
% 
\psscalebox{1.0 1.0} % Change this value to rescale the drawing.
{
\begin{pspicture}(0,-6.000242)(14.3505125,6.000242)
\definecolor{colour0}{rgb}{0.99607843,0.99607843,0.99607843}
\definecolor{colour4}{rgb}{0.0627451,0.039215688,0.99607843}
\definecolor{colour1}{rgb}{0.0,0.17254902,1.0}
\definecolor{colour2}{rgb}{0.0,0.12156863,1.0}
\definecolor{colour3}{rgb}{1.0,0.011764706,0.0}
\definecolor{colour5}{rgb}{1.0,0.03529412,0.0}
\definecolor{colour6}{rgb}{0.003921569,0.003921569,0.003921569}
\rput{-33.336422}(2.3027751,5.2623544){\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](12.377601,-0.7971156)(7.500939,-1.6315801)}
\pscircle[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](11.987212,-2.4828675){0.559068}
\rput{30.486177}(-0.1552398,-2.5314593){\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](8.407784,-1.0574805)(0.7266762,-2.0436625)}
\pscircle[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](7.660512,0.28816533){0.559068}
\pstriangle[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](1.1785642,-5.5861)(2.2848866,2.1390429)
\pscircle[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](1.1947691,-3.552389){0.559068}
\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](14.053333,-2.8798866)(12.432846,-3.1229599)
\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](14.053333,-1.9075946)(12.432846,-2.1506677)
\psdots[linecolor=black, dotstyle=+, dotsize=0.2](7.6906295,0.28546178)
\psdots[linecolor=black, dotstyle=+, dotsize=0.2](12.009219,-2.499474)
\only<1>{
    \rput[bl](8.671282,0.8189117){\huge $q_1$}
    \rput[bl](2.4738462,-4.692627){\huge $q_0$}
    \rput[bl](11.3651285,-3.9326267){\huge $q_2$}
}
\only<1,3>{    
    \rput{-71.77404}(4.110648,-1.3831611){\psarc[linecolor=black, linewidth=0.04, dimen=outer, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(1.0994872,-3.5322537){1.3025641}{0.0}{179.16754}}
}
\only<1,4>{  
    \rput{-112.127846}(10.120864,7.3867106){\psarc[linecolor=black, linewidth=0.04, dimen=outer, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(7.545641,0.288259){1.1282052}{0.0}{229.3201}}
}
\only<1>{ 
    \rput{-230.05315}(17.92701,-13.126443){\psarc[linecolor=black, linewidth=0.04, dimen=outer, arrowsize=0.05291667cm 2.0,arrowlength=1.4,arrowinset=0.0]{->}(12.027692,-2.3784077){1.1128205}{0.0}{179.16754}}
}
\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer](12.740739,-1.85898)(12.416641,-3.1553695)
\psdots[linecolor=black, dotstyle=+, dotsize=0.2](1.1983217,-3.5632563)
\psline[linecolor=black, linewidth=0.04](0.12,-5.9736)(0.4575,-5.6361)
\psline[linecolor=black, linewidth=0.04](0.3575,-5.9861)(0.695,-5.6486)
\psline[linecolor=black, linewidth=0.04](0.87,-5.9861)(1.2075,-5.6486)
\psline[linecolor=black, linewidth=0.04](0.6325,-5.9736)(0.97,-5.6361)
\psline[linecolor=black, linewidth=0.04](1.1325,-5.9736)(1.47,-5.6361)
\psline[linecolor=black, linewidth=0.04](1.37,-5.9861)(1.7075,-5.6486)
\psline[linecolor=black, linewidth=0.04](1.8825,-5.9861)(2.22,-5.6486)
\psline[linecolor=black, linewidth=0.04](1.645,-5.9736)(1.9825,-5.6361)
\psline[linecolor=black, linewidth=0.04](2.1511273,-5.9547276)(2.3511274,-5.7672276)
\psline[linecolor=black, linewidth=0.04](0.053088237,-5.8174725)(0.25308824,-5.6299725)
\only<2>{
    \rput[bl](0.0,-3.3927667){\huge$O$}
    \rput[bl](7.133333,0.94056666){\huge$P_1$}
    \rput[bl](11.8133335,-1.6194333){\huge$P_2$}
}
\only<3>{
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm, arrowsize=0.05291667cm 2.2,arrowlength=1.6,arrowinset=0.05]{->}(1.16,-3.5794332)(11.986667,-2.4994333)

\rput{-3.031294}(0.18816274,0.05922903){\psarc[linecolor=black, linewidth=0.04, linestyle=dashed, dash=0.17638889cm 0.10583334cm, dimen=outer](1.2133334,-3.5261){10.826667}{0.0}{64.46611}}
}
\only<3,5-7>{
\psline[linecolor=colour4, linewidth=0.04, arrowsize=0.05291667cm 3.0,arrowlength=2.22,arrowinset=0.05]{->}(12.026667,-2.4861)(11.626667,2.6072333)
}
\only<3>{
\rput[bl](2.5271795,-4.132627){\textcolor{colour1}{\huge $\omega_0$}}
\rput[bl](10.860513,1.6407065){\textcolor{colour2}{\huge $V_0$}}
}
\only<4>{
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm, arrowsize=0.05291667cm 2.2,arrowlength=1.6,arrowinset=0.05]{->}(7.7066665,0.26056668)(12.013333,-2.4861)

\rput{-174.02226}(15.414354,1.5126299){\psarc[linecolor=black, linewidth=0.04, linestyle=dashed, dash=0.17638889cm 0.10583334cm, dimen=outer](7.7466664,0.35390002){5.1466665}{-268.99933}{-161.99509}}
}
\only<4-7>{
\psline[linecolor=colour3, linewidth=0.04, arrowsize=0.05291667cm 3.0,arrowlength=2.22,arrowinset=0.05]{->}(12.053333,-2.4994333)(13.893333,0.5139)
}
\only<4>{
\rput[bl](13.433846,-1.1992935){\textcolor{colour3}{\huge $V_1$}}
\rput[bl](7.620513,-1.4526268){\textcolor{colour5}{\huge $\omega_1$}}
}
\only<5-7>{
    \psline[linecolor=colour6, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm](11.68,2.5939)(13.52,5.6072335)
    \psline[linecolor=colour6, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm](13.88,0.50056666)(13.48,5.5939)
    \psline[linecolor=colour6, linewidth=0.04, arrowsize=0.05291667cm 3.0,arrowlength=2.22,arrowinset=0.05]{->}(12.013333,-2.5261)(13.493333,5.6072335)
    \rput[bl](13.460513,2.8940399){\textcolor{colour6}{\huge $V_{P_2}$}}
    }
    \end{pspicture}
}
